[users] Re: New ndiswrapper version

Gerald B. Cox gbcox at bzb.us
Sat Jun 23 16:33:51 CEST 2007


I'm having the same exact issue.  If you don't want to wait for the
repository you can easily create the rpm yourself... apologies if you
already know this.  What I did was:

First setup your own rpmbuild environment (in your home directory)
sudo yum install fedora-rpmdevtools (installs required packages)

as non-root:
fedora-buildrpmtree (creates rpmbuild directories)

Download the latest NDISWRAPPER archive

as non-root:
rpmbuild -ta ndiswrapper_archive_you_downloaded (builds the ndiswrapper rpms)

Now you can install the two rpms which will be in the  
rpmbuild/RPMS/i386 or x86_64 directory (depending on what you're  
running).  As root use the rpm -i
command. To remove, use the rpm -e command.

Remember, only be in root to install the packages.  Not to build.

Hope this helps...

Quoting Dario Castellarin <dacstp at tiscali.it>:

> Terje Røsten ha scritto:
>> Dario Castellarin
>>> would you please update ndiswrapper to version 1.47? It solves a   
>>> crash with Broadcom drivers that is really -ehm- bugging me...
>>
>> broadcom? Should work fine with the bcm43xx driver?
>>
>> However you need to install some firmware files, do
>>
>> $ yum install bcm43xx-fwcutter
>>
>> and read the included info.
>>
>>
>> - Terje
>>
>>
> You said it right: should. I tried using the new bcm43xx-mac80211
> driver but it always fails to associate to WPA networks. Experimental
> driver with bad interaction with NetworkManager, I think it needs more
> development to be usable in every day computing... Until that day:
> ndiswrapper!
>
> Dario







More information about the users mailing list